package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 专业课申请对象 m_special_course_apply
 * 
 * @author ljx
 * @date 2022-05-12
 */
public class SpecialCourseApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long specialCourseApplyId;

    /** 学生id */
    private String studentId;

    /** 专业id */
    private String majorId;

    /** 专业课id */
    private String specialCourseId;

    /** 申请状态（0未提交 1已提交 2通过 3驳回） */
    @Excel(name = "申请状态", readConverterExp = "0=未提交,1=已提交,2=通过,3=驳回")
    private String applyStatus;

    /** 状态（1启用 0弃用） */
    @Excel(name = "状态", readConverterExp = "1=启用,0=弃用")
    private String status;

    /** 创建用户id */
    private Long createUserId;

    /** 更新用户id */
    private Long updateUserId;

    /** 申请年份 */
    @Excel(name = "申请年份")
    private String year;

    /** 学院id */
    @Excel(name = "学院id")
    private Long collageId;

    public void setSpecialCourseApplyId(Long specialCourseApplyId) 
    {
        this.specialCourseApplyId = specialCourseApplyId;
    }

    public Long getSpecialCourseApplyId() 
    {
        return specialCourseApplyId;
    }
    public void setStudentId(String studentId) 
    {
        this.studentId = studentId;
    }

    public String getStudentId() 
    {
        return studentId;
    }
    public void setMajorId(String majorId) 
    {
        this.majorId = majorId;
    }

    public String getMajorId() 
    {
        return majorId;
    }
    public void setSpecialCourseId(String specialCourseId) 
    {
        this.specialCourseId = specialCourseId;
    }

    public String getSpecialCourseId() 
    {
        return specialCourseId;
    }
    public void setApplyStatus(String applyStatus) 
    {
        this.applyStatus = applyStatus;
    }

    public String getApplyStatus() 
    {
        return applyStatus;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setCollageId(Long collageId) 
    {
        this.collageId = collageId;
    }

    public Long getCollageId() 
    {
        return collageId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("specialCourseApplyId", getSpecialCourseApplyId())
            .append("studentId", getStudentId())
            .append("majorId", getMajorId())
            .append("specialCourseId", getSpecialCourseId())
            .append("applyStatus", getApplyStatus())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("year", getYear())
            .append("collageId", getCollageId())
            .toString();
    }
}
